
// $size:18px;

// .icon{
//     display:inline-block;

//     background-repeat: no-repeat;
//     background-size:cover;

//     vertical-align: middle;

//     &:not(.fa){
//         width:$size;
//         height:$size;
//     }
    
//     &-toggle{
//         background-image:url(#{$icons-path}/arrow-up.png);

//         cursor:pointer;

//         &.icon-toggle--toggled{
//             background-image:url(#{$icons-path}/arrow-down.png);
//         }
//     }
// }


.icon{
    &:not(.fa){
        display:inline-block;
        vertical-align: middle;
    
        background-repeat:no-repeat;
        background-image: url(#{$icons-path}/sprite.svg);
    
        width:$icon-size;
        height:$icon-size;
    }  
    
    &--clickable{
        cursor:pointer;
    }

    &--rotate{
        transform: rotate(180deg);
    }
    
    @each $name, $positions in $sprite-icons{
        &-#{$name}{
            background-position: map-get($positions, 'default');
            
            @if(map-has-key($positions, 'hover')){
                @include state{
                    background-position: map-get($positions, 'hover');
                }
            }
        }
    }

    &--toggle{
        background-position: map-get(map-get($sprite-icons, 'minus'), 'default');
    }
}

